0

I have downloaded file ido.el, but can't load it. When I (require 'ido) the following is displayed:

Debugger entered--Lisp error: (file-error "Cannot open load file" "No such file or directory" "seq") require(seq) eval-buffer(# nil "/home/admin/.emacs.d/ido.el" nil t) ; Reading at buffer position 13523 load-with-code-conversion("/home/admin/.emacs.d/ido.el" "/home/admin/.emacs.d/ido.el" nil t) require(ido) eval((require (quote ido)) nil) eval-last-sexp-1(nil) eval-last-sexp(nil) call-interactively(eval-last-sexp nil nil) command-execute(eval-last-sexp)

This is with GNU Emacs 24.4.1

  • /home/admin/.emacs.d admin@linux:~/.emacs.d$ ls -l итого 200 drwx------ 2 admin admin 4096 сен 29 15:31 auto-save-list -rw-r--r-- 1 admin admin 208 сен 27 16:29 bookmarks -rw-r--r-- 1 admin admin 176224 сен 29 15:17 ido.el – Кирилл Фёдоров Sep 29 '16 at 12:31
  • It seems ido itself (require 'seq) but emacs can't find it. – JeanPierre Sep 29 '16 at 12:48
2

Ido is part of Emacs since Emacs 22, you can (and should) load it without any setup. Emacs 24 can or can't load Emacs 25's ido.el. The backtrace complains: can't load seq. seq is added from Emacs 25.1. You can install seq on Emacs 24. However, if you want to use a newer version of Ido, I think you should use a newer version of Emacs.

  • All I'm there already figured out all works. But what is a seq? – Кирилл Фёдоров Sep 29 '16 at 14:52
  • @КириллФёдоров seq is an Emacs Lisp package. – xuchunyang Sep 29 '16 at 15:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.